Subject: [lamps] [Editorial Errata Reported] RFC8659 (5934)

From: RFC Errata System <[email-masked]>
Date: Wed, 11 Dec 2019 18:43:22 -0800 (PST)

The following errata report has been submitted for RFC8659,
"DNS Certification Authority Authorization (CAA) Resource Record".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid5934

--------------------------------------
Type: Editorial
Reported by: IIDA Yosiaki <[email-masked]>

Section: 7

Original Text
-------------
It also allows hyphens in Property Tags.

Corrected Text
--------------
It also allows hyphens in tags of Property Value of
issue and issuewild Property Tags.

Notes
-----
Subsection 4.1 explicitly prohibits hyphens in Property Tags.
While obsoleted RFC 6844 did not allow hyphens in tags of Property Value of issue and issuewild Property Tags, new ABNF definition in subsection 4.2 allows them.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8659 (draft-ietf-lamps-rfc6844bis-07)
--------------------------------------
Title               : DNS Certification Authority Authorization (CAA) Resource Record
Publication Date    : November 2019
Author(s)           : P. Hallam-Baker, R. Stradling, J. Hoffman-Andrews
Category            : PROPOSED STANDARD
Source              : Limited Additional Mechanisms for PKIX and SMIME
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 16 Dec 2019 16:57:24 -0800

I think I'm failing to find an ABNF construction that differs from 6844 to
8659 in the indicated manner ... help?

-Ben

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 16 Dec 2019 21:15:51 -0500

It seems to be a confusion in RFC6844. The ABNF is actually referring to
the value section of the CAA field which contains a sequence of tag-value
productions. Those tags being distinct from the CAA tags.

The CAA issue property value has the following sub-syntax (specified
   in ABNF as per [RFC5234 <https://tools.ietf.org/html/rfc5234>]).

On Mon, Dec 16, 2019 at 7:57 PM Benjamin Kaduk <[email-masked]> wrote:

> > While obsoleted RFC 6844 did not allow hyphens in tags of Property Value
> of issue and issuewild Property Tags, new ABNF definition in subsection 4.2
> allows them.
> >
> > Instructions:
> > -------------

---

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 16 Dec 2019 18:44:23 -0800

Phill, were you going to paste an ABNF construction in there?

Anyways, it sounds like this errata report is destined for "rejected" with
a note about the confusing naming of ABNF productions from 6844?

Thanks,

Ben

---

From: 飯田 義朗 <[email-masked]>
Date: Tue, 17 Dec 2019 03:16:06 +0000

Hello people.
"Corrected Text" could be simply:
  It also allows hyphens in parameter tags.
--
  iida

>-----Original Message-----
>From: Phillip Hallam-Baker [mailto:[email-masked]]
>Sent: Tuesday, December 17, 2019 11:16 AM
>To: Benjamin Kaduk <[email-masked]>
>Cc: SPASM <[email-masked]>; Rob Stradling <[email-masked]>; Jacob
>Hoffman-Andrews <[email-masked]>; Roman Danyliw <[email-masked]>;
>[email-masked]; Tim Hollebeek <[email-masked]>; 飯田 義
>朗 <[email-masked]>
>Subject: Re: [Editorial Errata Reported] RFC8659 (5934)
>
>   in ABNF as per [RFC5234 <https://tools.ietf.org/html/rfc5234> ]).
>
>
>
>
>On Mon, Dec 16, 2019 at 7:57 PM Benjamin Kaduk <[email-masked]
><mailto:[email-masked]> > wrote:
>
>
>	> Reported by: IIDA Yosiaki <[email-masked]
><mailto:[email-masked]> >
>	>
>	> Section: 7
>	>
>	> Original Text
>	> -------------
>	> While obsoleted RFC 6844 did not allow hyphens in tags of Property
>Value of issue and issuewild Property Tags, new ABNF definition in subsection
>4.2 allows them.
>	>
>	> Instructions:
>	> -------------